{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Test Pengetahuan Ganti</title>

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link rel="stylesheet" href="{% static 'css/style.css' %}">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://code.getmdl.io/1.3.0/material.indigo-pink.min.css">
<script defer src="https://code.getmdl.io/1.3.0/material.min.js"></script>
{% endblock meta %}
{% block content %}
<h4 style="margin-left: 450px">Provinsi dengan total kasus terbanyak adalah provinsi</h4>
<form id=new_form style="margin-left: 550px;">{% csrf_token %}
  	<div class="mdl-textfield mdl-js-textfield">
    		<input type="text" class="mdl-textfield__input" id="benar">
    		<label class="mdl-textfield__label" for="benar">Masukkan jawaban yang benar</label>
	</div>
	<br>
	<div class="mdl-textfield mdl-js-textfield">
    		<input type="text" class="mdl-textfield__input" id="salah1">
    		<label class="mdl-textfield__label" for="salah1">Masukkan jawaban yang salah</label>
	</div>
	<br>
	<div class="mdl-textfield mdl-js-textfield">
    		<input type="text" class="mdl-textfield__input" id="salah2">
    		<label class="mdl-textfield__label" for="salah2">Masukkan jawaban yang salah</label>
	</div>
	<br>
	<div class="mdl-textfield mdl-js-textfield">
    		<input type="text" class="mdl-textfield__input" id="salah3">
    		<label class="mdl-textfield__label" for="salah3">Masukkan jawaban yang salah</label>
	</div>
	<br><br>
	<input type="submit" name="submit" value="submit" style="margin-left:100px; ">
</form>
<script type="text/javascript">
	$(document).on('submit','#new_form',function(e){
		e.preventDefault();

		$.ajax({
			type:'POST',
			url:'/TestPengetahuan/gantiajax/',
			async : true,
			data:{
				benar:$('#benar').val(),
				salah1:$('#salah1').val(),
				salah2:$('#salah2').val(),
				salah3:$('#salah3').val(),
				csrfmiddlewaretoken:$('input[name=csrfmiddlewaretoken]').val()
			},
			success:function(){
				alert("Terimakasih telah mengupdate soal")
			}

		});
	});
</script>
{% endblock content %}
